import unittest
import os
import numpy as np
from zetane import context as ztn
from test.utils import get_data_file

class TestImage(unittest.TestCase):
  def setUp(self):
    self.engine = ztn.Context()
    self.engine.clear_universe()

  def test_load(self):
    image = get_data_file('pics/devashish_testimonials2.jpg')
    zimage = self.engine.image().rotation(0, 1.56, 0).position(7.7, -3.6, -2)
    zimage.update(filepath=image)

    image_data = self.engine.form('image_stack.image.quad_compact.texture')
    self.assertTrue(image_data.has_received())

  def test_update(self):
    i = 0
    zimage = self.engine.image()
    while i < 100:
      image = np.random.randn(224, 224, 3)
      zimage.update(data=image)
      i += 1
